#include <Xm/BulletinB.h>
#include <Xm/PushB.h>

/***********************************************************************
 ***                             MAIN                                ***
 ***********************************************************************/
void main(argc, argv)
  unsigned int   argc;
  char         **argv;
{
   Widget        toplevel, bboard, pbutton[3];
   Arg           args[10];
   XtAppContext  app_context;
   static char  *pbname[] = {"pb1", "pb2", "pb3"};
   int           i;
     
/* Initialize the toolkit, create app context, open display,
   and create a toplevel shell  */
   toplevel = XtAppInitialize(&app_context, "Defaultscolors", NULL, 0, &argc,
                              argv, NULL, args, 0);

/* Create the bulletin board widget */
   bboard = XmCreateBulletinBoard(toplevel, "bb", args, 0);
   XtManageChild(bboard);

/* Create the 3 pushbutton widgets. */
   for (i = 0; i < XtNumber(pbname); i++)
      pbutton[i] = XmCreatePushButton(bboard, pbname[i], args, 0);
   XtManageChildren(pbutton, XtNumber(pbutton));

/* Realize the widgets and loop  */
   XtRealizeWidget(toplevel);
   XtAppMainLoop(app_context);
}
